Bug 182433 - games/py-fife: try fix in 10-CURRENT
games/py-fife: try fix in 10-CURRENT
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Kubilay Kocak
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 07:50 UTC by fiziologus
Modified: 2014-01-14 09:32 UTC (History)
0 users

See Also:


Attachments
file.diff (1.58 KB, patch)
2013-09-27 07:50 UTC, fiziologus
no flags Details | Diff
fife.txt (1.76 KB, text/plain; charset=US-ASCII)
2013-10-13 06:53 UTC, fiziologus
no flags Details
fife.diff.txt (4.38 KB, text/plain; charset=US-ASCII)
2013-12-25 19:39 UTC, fiziologus
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2013-09-27 07:50:00 UTC
[games/py-fife]

try fix in 10-CURRENT (no tested)

PR 176714 (fix make package)

warn about options devel/guichan (in default build no need)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-27 07:50:14 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-27 07:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 koobs.freebsd 2013-12-13 01:31:03 UTC
Does this PR supersede ports/176714 ?
Comment 4 koobs.freebsd 2013-12-13 02:31:59 UTC
Upstream has requested additional information, can you please:

a) Test building the latest version of fife (0.3.5)

And separately:

b) Test building the latest version (0.3.5) against swig 2.x, which is
available in devel/swig20

Thanks
Comment 5 fiziologus 2013-12-13 05:22:02 UTC
>
> Does this PR supersede ports/176714
>

Yes, ports/182433 include this.


2013/12/13 Kubilay Kocak <koobs.freebsd@gmail.com>

> Upstream has requested additional information, can you please:
>
> a) Test building the latest version of fife (0.3.5)
>

0.3.5 is out?


> And separately:
>
> b) Test building the latest version (0.3.5) against swig 2.x, which is
> available in devel/swig20
>
> Thanks
>

No build (0.3.4). Need adding work ang patching (swig-2.0 options issue)

-- 
sorry for bad english.
Comment 6 Kubilay Kocak freebsd_committer 2013-12-15 11:27:08 UTC
Responsible Changed
From-To: freebsd-python->koobs

I'll take it.
Comment 7 dfilter freebsd_committer 2014-01-14 09:24:08 UTC
Author: koobs
Date: Tue Jan 14 09:23:53 2014
New Revision: 339669
URL: http://svnweb.freebsd.org/changeset/ports/339669

Log:
  games/py-fife: Update to 0.3.5, fix make package
  
  - Update to 0.3.5
  - Update pkg-plist
  - Add missing PKGNAMEPREFIX
  - Enable STAGE support
  - Switch BUILD_DEPENDS from swig13 to swig20
  - Add LICENSE (LGPL21)
  - Replace USE_SCONS / SCONS_* with USES=scons
  - Re-order USE_* section
  - Patch and backport Sconscript changes to:
      a) Silence addition warnings [1]
      b) Set SWIG includes and outdir that are not being honoured by
         scons at the moment
  
  This commit combined with that from ports/185684 fixes building on 10.0+.
  
  [1] https://github.com/fifengine/fifengine/issues/792
  
  PR:		ports/182433
  Approved by:	Green Dog <fiziologus@gmail.com> (maintainer, via email)
  MFH:		2014Q1

Added:
  head/games/py-fife/files/
  head/games/py-fife/files/patch-engine__SConscript   (contents, props changed)
Modified:
  head/games/py-fife/Makefile
  head/games/py-fife/distinfo
  head/games/py-fife/pkg-plist

Modified: head/games/py-fife/Makefile
==============================================================================
--- head/games/py-fife/Makefile	Tue Jan 14 09:22:26 2014	(r339668)
+++ head/games/py-fife/Makefile	Tue Jan 14 09:23:53 2014	(r339669)
@@ -2,11 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=		fife
-PORTVERSION=		0.3.4
+PORTVERSION=		0.3.5
 CATEGORIES=		games
 MASTER_SITES=		http://sourceforge.net/projects/${PORTNAME}/files/active/src/:source \
 			http://sourceforge.net/projects/${PORTNAME}/files/active/demos/:demo \
 			http://sourceforge.net/projects/${PORTNAME}/files/active/tools/:tools
+PKGNAMEPREFIX=		${PYTHON_PKGNAMEPREFIX}
 DISTNAME=		${PORTNAME}_${PORTVERSION}
 DISTFILES+=	      	${DISTNAME}.tar.gz:source \
 			${DISTNAME}_demos.tar.gz:demo \
@@ -15,41 +16,39 @@ DISTFILES+=	      	${DISTNAME}.tar.gz:so
 MAINTAINER=		fiziologus@gmail.com
 COMMENT=		Flexible Isometric Free Engine
 
-BUILD_DEPENDS=		${LOCALBASE}/bin/swig:${PORTSDIR}/devel/swig13
+LICENSE=		LGPL21
 
+BUILD_DEPENDS=		${LOCALBASE}/bin/swig2.0:${PORTSDIR}/devel/swig20
 LIB_DEPENDS=		libvorbisfile.so:${PORTSDIR}/audio/libvorbis \
 			libguichan.so:${PORTSDIR}/devel/guichan \
 			libboost_filesystem.so:${PORTSDIR}/devel/boost-libs \
 			libpng15.so:${PORTSDIR}/graphics/png
 
-USE_SDL=		sdl ttf image
-
-USE_SCONS=		yes
-SCONS_ARGS=		--prefix=${PREFIX} --python-prefix=${PYTHON_SITELIBDIR}
-SCONS_BUILDENV=		SWIG=${LOCALBASE}/bin/swig \
-			CXX=${CXX}
-SCONS_TARGET=		fife-python
-SCONS_INSTALL_TARGET=	install-python
-
+USES=			openal:al pkgconfig scons
+USE_GL=			gl
 USE_PYTHON=		2
-
+USE_SDL=		sdl ttf image
 USE_XORG=		xcursor
-USE_GL=			gl
 
-USES=			openal:al pkgconfig
+ALL_TARGET=		fife-python
+INSTALL_TARGET=		install-python
+MAKE_ENV+=		SWIG=${LOCALBASE}/bin/swig2.0
 
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e 's/X11R6/local/g; s/libpng/ligpng15/g' ${WRKSRC}/build/openbsd4-config.py && \
 		${MV} ${WRKSRC}/build/openbsd4-config.py ${WRKSRC}/build/${PYTHON_PLATFORM}-config.py
 
+.include <bsd.port.options.mk>
+
 post-install:
-	${MKDIR} ${DATADIR}
-	${MV} ${WRKDIR}/tools ${DATADIR}
-	${MV} ${WRKDIR}/demos ${DATADIR}
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DATADIR}
+	${MV} ${WRKDIR}/tools ${STAGEDIR}${DATADIR}
+	${MV} ${WRKDIR}/demos ${STAGEDIR}${DATADIR}
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for FILE in README AUTHORS CHANGES COPYING
-	${MV} ${WRKSRC}/${FILE} ${DOCSDIR}
+	${MV} ${WRKSRC}/${FILE} ${STAGEDIR}${DOCSDIR}
 .endfor
+.endif
 
 .include <bsd.port.mk>

Modified: head/games/py-fife/distinfo
==============================================================================
--- head/games/py-fife/distinfo	Tue Jan 14 09:22:26 2014	(r339668)
+++ head/games/py-fife/distinfo	Tue Jan 14 09:23:53 2014	(r339669)
@@ -1,6 +1,6 @@
-SHA256 (fife_0.3.4.tar.gz) = 8a28d570ef8166b0b571047b8bdc482b09c05c4f9bb754f5564964b8c06dd6f7
-SIZE (fife_0.3.4.tar.gz) = 1398594
-SHA256 (fife_0.3.4_demos.tar.gz) = 4f76b921f2a8782ebaf168b24cdc2c94099084e260a61fa30a467b5edf3b5fc6
-SIZE (fife_0.3.4_demos.tar.gz) = 23355196
-SHA256 (fife_0.3.4_tools.tar.gz) = 90a3ea6c1b15ce87a535209f3f726e82fb06b518f3bbcf985b6950782227f98f
-SIZE (fife_0.3.4_tools.tar.gz) = 506204
+SHA256 (fife_0.3.5.tar.gz) = 1d3c7a19d05ae426af6ccd50a8ba79a71eb6e6f18f0226d1abdaeae7fcf9d3a8
+SIZE (fife_0.3.5.tar.gz) = 1383813
+SHA256 (fife_0.3.5_demos.tar.gz) = 3e4ae747da68c9a9a014b09312c7e62cd2fa1928aeda72200fec15bf9bbb4fe0
+SIZE (fife_0.3.5_demos.tar.gz) = 23347311
+SHA256 (fife_0.3.5_tools.tar.gz) = 47b6fe045c734813f14e71279cd0d999ae1485f928714950d90a2a20cd7b4fc1
+SIZE (fife_0.3.5_tools.tar.gz) = 502981

Added: head/games/py-fife/files/patch-engine__SConscript
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/py-fife/files/patch-engine__SConscript	Tue Jan 14 09:23:53 2014	(r339669)
@@ -0,0 +1,14 @@
+# Add in -Iengine/core to includes can be found
+# Backport https://github.com/fifengine/fifengine/issues/792
+
+--- ./engine/SConscript.orig	2014-01-11 21:05:39.567308621 +1100
++++ ./engine/SConscript	2014-01-11 21:06:18.367282812 +1100
+@@ -161,7 +161,7 @@
+                                            os.path.join('swigwrappers', 'python' ,'fife_wrap.h'),
+                                            os.path.join('python', 'fife', 'fife.py')],
+ 							  source = os.path.join('swigwrappers', 'python' ,'fife.i'),
+-							  SWIGFLAGS=['-python','-c++','-w511'],
++							  SWIGFLAGS=['-python','-c++','-w511','-w473', '-w404','-Iengine/core','-outdir','engine/python/fife'],
+ 							  SWIGPATH='core',
+ 							  SWIGOUTDIR=Dir('#/engine/python/fife').srcnode().path)
+ 							  

Modified: head/games/py-fife/pkg-plist
==============================================================================
--- head/games/py-fife/pkg-plist	Tue Jan 14 09:22:26 2014	(r339668)
+++ head/games/py-fife/pkg-plist	Tue Jan 14 09:23:53 2014	(r339669)
@@ -526,7 +526,6 @@
 @dirrm %%DATADIR%%/demos/rio_de_hola/scripts/common
 @dirrm %%DATADIR%%/demos/rio_de_hola/scripts/agents
 @dirrm %%DATADIR%%/demos/rio_de_hola/scripts
-@dirrm %%DATADIR%%/demos/rio_de_hola/saves
 @dirrm %%DATADIR%%/demos/rio_de_hola/objects/crates/empty_lid
 @dirrm %%DATADIR%%/demos/rio_de_hola/objects/crates/dynamites_lid
 @dirrm %%DATADIR%%/demos/rio_de_hola/objects/crates
@@ -558,11 +557,9 @@
 @dirrm %%DATADIR%%/demos/rio_de_hola/misc/current_rendersetup
 @dirrm %%DATADIR%%/demos/rio_de_hola/misc
 @dirrm %%DATADIR%%/demos/rio_de_hola/maps
-@dirrm %%DATADIR%%/demos/rio_de_hola/imports
 @dirrm %%DATADIR%%/demos/rio_de_hola/gui/icons
 @dirrm %%DATADIR%%/demos/rio_de_hola/gui
 @dirrm %%DATADIR%%/demos/rio_de_hola/fonts
-@dirrm %%DATADIR%%/demos/rio_de_hola/cursors
 @dirrm %%DATADIR%%/demos/rio_de_hola
 @dirrm %%DATADIR%%/demos/pychan_demo/gui/icons
 @dirrm %%DATADIR%%/demos/pychan_demo/gui/backgrounds
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Kubilay Kocak freebsd_committer 2014-01-14 09:28:42 UTC
State Changed
From-To: open->closed

Committed, with changes. Thanks!